Subject: RE: String Representation

From: "Rinke Hoekstra" <[email-masked]>
Date: Thu, 11 May 2000 09:45:07 +0200

Doesn't something like:

:- style_check(+string).

change the treatment of "abcd" from a list of charactercodes
to a (real) string? Or did it change 'abcd' into a string?
It was a long time ago, but I remember having a similar 
problem when trying to open a connection to a database from prolog.

Regards,

	R. Hoekstra

> -----Original Message-----
> From: Paul Sephton [mailto:[email-masked]]
> Sent: donderdag 11 mei 2000 10:24
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: String Representation
> 
> 
> On Wed, 10 May 2000 [email-masked] wrote:
> 
> > I thought
> > 	'bblahblah blah'
> > did that!
> > 
> 
> Nah! That gets it into an atom.  define x('abc') and abc gets stored in 
> an atom.  define x("abc") and it goes into a list of character codes.  I 
> need both of these, but also need "abc" as a string under certain 
> conditions.  with x("abc") and later x(S),string(X) fails.
> 
> Paul
> __________________________________________________________________
> ___________
> Paul Sephton ([email-masked])                               INET 
> Development
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> ~~~~~~~~~~~
> Ever wondered if jumping out of the frying pan might actually be 
> refreshing?
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> ~~~~~~~~~~~
> 
> 
> ----------------
> * To UNSUBSCRIBE, please use the HTML form at
> 
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
> 
> or send mail to [email-masked] using the Subject: 
> "unsubscribe"
> (without the quotes) and *no* message body.
> 
> ** An ARCHIVE of this list is maintained at
> 
>     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/
> 
>